2011-10-18  Alan McGovern  <alan.mcgovern@gmail.com>

	[WindowsBase] Add better support for Default/Override
	content_types

	System.IO.Packaging already had full support for parsing
	[Content_Types].xml if it contained both <Override> and <Default>
	nodes when specifying content types for files. However we had
	taken a shortcut before by explicitly writing the content type of
	each file using an <Override> attribute for every file. We now
	properly write a <Default> element and only use <Override>
	attributes when required.

2011-10-11  Jérémie Laval  <jeremie.laval@gmail.com>

	[WindowsBase] Don't treat special file [Content-Types].xml as a
	part, ends up as a duplicate when writing back a package

2011-10-18  Alan McGovern  <alan.mcgovern@gmail.com>

	[System.IO.Packaging] Fix some dispose related issues

	Ensure we can call dispose multiple times without blowing up. Also
	ensure that we do not close streams which are passed in by the
	user. We should only close streams which are implicitly created by
	the API. This is a modification of the patch proposed for bug
	#1464, which is now fixed by this commit.

2011-09-23  Rolf Bjarne Kvinge  <rolf@xamarin.com>

	[WindowsBase] Relationship ids must be valid XML identifiers.

2011-08-17  Alan McGovern  <alan.mcgovern@gmail.com>

	[System.IO.Packaging] Fix calling convention related issues

	The P/Invokes should be Cdecl as the library is compiled with that
	calling convention. The delegates passed to native code must also
	be marshalled as Cdecl. Fixes BXC #223.

2011-02-01  Atsushi Eno  <atsushi@ximian.com>

	in NET_4_0, remove types that went into System.Xaml.dll. Change
	build order.

2010-11-06  Marek Safar  <marek.safar@gmail.com>

	Add missing default ctor call

2010-02-19  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackUriHelper.cs: Commit a fix for #570648 so
	that PackUris can be combined properly.

2009-11-21  Raja R Harinath  <harinath@hurrynot.org>

	* System.Collections.ObjectModel/ObservableCollection.cs [NET_4_0]:
	Forward type to System.dll.
	* System.Collections.ObjectModel/ReadOnlyObservableCollection.cs:
	Likewise.

2009-06-25  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* System.Windows/Rect.cs: Implement unimplemented ToString methods to
	support custom and culture-based formatting. Fixes bug #516165.
	* Test/System.Windows/RectTest.cs: Expand ToStringTest to cover above
	changes. Add new ToString_FormatException test, currently set to
	NotWorking category because of Mono bug #516172.

2009-03-19  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackageTests.cs:
	  Test/System.IO.Packaging/PackagePartTest.cs:
	  Add extra tests to ensure complex packages are loaded
	  and restored correctly.

2009-03-16  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackage.cs:
	  Test/System.IO.Packaging/FakePackagePartTests.cs:
	  Test/System.IO.Packaging/FakePackageTests.cs:
	  Test/System.IO.Packaging/FakePartStreamTests.cs:
	  Test/System.IO.Packaging/PackageRelationshipTests.cs:
	  Test/System.IO.Packaging/PackageTest.cs:
	  Test/System.IO.Packaging/PackUriHelperTests.cs:
	  Add a bunch of extra tests to cover reported bugs.

2009-02-26  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* System.Windows/Rect.cs: For Rect.Empty, return Size.Empty for Size.
	Previously this would throw an exception on Size construction.
	* Test/System.Windows/RectTest.cs: Add Empty_Size test, include
	Rect.Empty in equality-related tests, rename Size test to RectSize to
	avoid build error.

2009-01-12  Michael Hutchinson  <mhutchinson@novell.com>

	* System.Windows/WeakEventManager.cs: Fix build.

2008-11-16  Brian O'Keefe <zer0keefie@gmail.com>

	* System.ComponentModel/CurrentChangingEventArgs.cs
	* System.ComponentModel/PropertyFilterAttribute.cs
	* System.ComponentModel/SortDescription.cs
	* System.ComponentModel/SortDescriptionCollection.cs: Implement
	unimplemented method bodies.
	
	* Test/System.ComponentModel/CurrentChangingEventArgsTest.cs
	* Test/System.ComponentModel/PropertyFilterAttributeTest.cs
	* Test/System.ComponentModel/SortDescriptionTest.cs
	* Test/System.ComponentModel/SortDescriptionCollectionTest.cs:
	Matching NUnit test cases for classes.

2008-11-07  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/PackagePart.cs: Remove FIXMEs which have been
	dealt with.

2008-11-07  Alan McGovern  <amcgovern@novell.com>

	* ZipSharp/ZipArchive.cs:
	* ZipSharp/NativeUnzip.cs:
	* ZipSharp/UnzipArchive.cs:
	* System.IO.Packaging/ZipPackage.cs: Make sure the compression option is
	preserved between loading/saving files in an archive.

2008-11-07  Alan McGovern  <amcgovern@novell.com>

	* Test/System.Windows/PointTest.cs:
	* Test/System.Windows/PointConverterTest.cs: Disable some not-working
	tests.

2008-11-06  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackagePropertiesPart.cs: Remove horrible hacks to
	load PackageProperties, PackageRelationships and PackageParts from a
	read-only stream. Other benefit is that these are now lazily loaded.

2008-11-06  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Assembly/AssemblyInfo.cs: AssemblyFileVersion now uses
	Consts.FxFileVersion, which is "3.0.4506.648".

	* Makefile: Define NET_3_0 so that Consts will have the correct values
	for this assembly.

2008-11-06  Alan McGovern  <amcgovern@novell.com>

	



2008-11-06  Alan McGovern  <amcgovern@novell.com>

	* Test/System.Windows/RectTest.cs:
	* Test/System.Windows/SizeTest.cs:
	* Test/System.Windows/VectorTest.cs:
	* Test/System.Windows/Int32RectTest.cs:
	* Test/System.Windows.Media/MatrixTest.cs:
	* Test/System.Windows/SizeConverterTest.cs:
	* Test/System.Windows/RectConverterTest.cs:
	* Test/System.Windows/PointConverterTest.cs:
	* Test/System.Windows/VectorConverterTest.cs:
	* Test/System.Windows/DependencyObjectTest.cs:
	* Test/System.Windows/Int32RectConverterTest.cs:
	* Test/System.Windows.Markup/DateTimeValueSerializerTest.cs: Only
	disable the tests which do not work.

2008-11-06  Alan McGovern  <amcgovern@novell.com>

	



2008-11-06 Felix Eisele <felix_eisele@gmx.de>
	* Test/System.Windows/PointTest.cs:
	All Tests pass now
	* System.Windows/Point.cs
	Complete the implementation of the class
	

2008-11-05  Brian O'Keefe  <zer0keefie@gmail.com>
 
	* System.Collections.ObjectModel/ObservableCollection.cs:
	* System.Collections.ObjectModel/ReadOnlyObservableCollection.cs: 
	* System.Collections.ObjectModel/INotifyCollectionChanged.cs:
	* System.Collections.ObjectModel/INotifyCollectionChanged.cs:
	* System.Collections.ObjectModel/NotifyCollectionChangedAction.cs:
	* System.Collections.ObjectModel/NotifyCollectionChangedEventArgs.cs:
	* System.Collections.ObjectModel/NotifyCollectionChangedEventHandler.cs:
	Add implementations for ObservableCollection and expand documentation

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackagePartTest.cs:
	* System.IO.Packaging/PackagePropertiesPart.cs: Properties which are
	null should not be serialized.

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* WindowsBase.dll.sources:
	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackUriHelper.cs:
	* Test/System.IO.Packaging/FakePackage.cs:
	* System.IO.Packaging/PackageProperties.cs:
	* System.IO.Packaging/PackagePropertiesPart.cs: Complete the
	implementation of loading/saving PackageProperties. NUnit tests now
	pass.

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackagePropertiesPart.cs: No need to override
	here.

	* System.IO.Packaging/PackageProperties.cs: Add myself to authors

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* WindowsBase.sln:
	* WindowsBase.csproj: Add solution files to allow working inside MD.

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackageProperties.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* System.IO.Packaging/PackagePropertiesPart.cs:
	* Test/System.IO.Packaging/FakePackageTests.cs: Implement the backend
	for loading/saving package properties. Add tests for this code.

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* ZipSharp/NativeUnzip.cs: Comment out unused method

2008-11-04  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs: Cosmetic - Make methods alphabetical
	and group methods/properties together.

2008-11-03  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.Windows/WeakEventManager.cs:
	* System.IO.Packaging/ZipPackagePart.cs: Fix the two remaining API
	points which shouldn't be exposed.

2008-11-03  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.IO.Packaging/Package.cs: Temporary fix test failure until a
	proper solution can be worked out.

2008-11-03  Alan McGovern  <alan.mcgovern@gmail.com>

	* Test/System.IO.Packaging/PackageTest.cs: Enable test now that it works

2008-11-03  Alan McGovern  <alan.mcgovern@gmail.com>

	* System.IO.Packaging/Package.cs: Fix build and also test that the
	archive is valid when loading an existing archive.

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Check.cs:
	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/ZipPartStream.cs:
	* Test/System.IO.Packaging/PackageTest.cs: Add tests to ensure that if a
	package is readonly it won't be written to

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	* ZipSharp/NativeZip.cs:
	* ZipSharp/ZipArchive.cs:
	* ZipSharp/NativeUnzip.cs:
	* ZipSharp/IOFunctions.cs:
	* ZipSharp/UnzipArchive.cs:
	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/PackagePartCollection.cs: Ensure we don't expose
	more API than we should.

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackUriHelper.cs: Generate the new Uri properly

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	* ZipSharp/NativeUnzip.cs:
	* ZipSharp/UnzipArchive.cs:
	* System.IO.Packaging/Check.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/PackUriHelper.cs:
	* Test/System.IO.Packaging/PackageTest.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* Test/System.IO.Packaging/FakePackagePartTests.cs:
	* Test/System.IO.Packaging/PackageRelationshipTests.cs: Filenames should
	be case insensitive. Fixed issues generating the correct relationship
	uri for package parts.

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/ZipPackagePart.cs: Files are stored in the zip
	archive with the leading '/' stripped. When loading relationships
	from the archive, i shouldn't try updating the archive.

2008-11-03  Alan McGovern  <amcgovern@novell.com>

	



2008-10-30  Alan McGovern  <amcgovern@novell.com>

	* WindowsBase_test.dll.sources:
	* System.IO.Packaging/PackUriHelper.cs:
	* Test/System.IO.Packaging/PackUriHelperTests.cs: Commit partial
	implementation of PackUriHelper along with associated NUnit tests.

2008-10-28  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackagePart.cs: Cosmetic changes

	* System.IO.Packaging/Package.cs: Do not remove the relationship part
	from the package if it exists, just mark it disposed. All NUnit tests
	pass now.

2008-10-28  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackagePart.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* System.IO.Packaging/PackagePartCollection.cs:
	* Test/System.IO.Packaging/FakePackageTests.cs:
	* System.IO.Packaging/PackageRelationshipCollection.cs: Implemented
	loading/saving of relationships from PackageParts. Removed excess
	debug spew.

2008-10-29  Alan McGovern  <amcgovern@novell.com>

	* ZipSharp/NativeZip.cs: Remove a Console.WriteLine

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/ZipPartStream.cs:
	* System.IO.Packaging/ZipPackagePart.cs:
	* Test/System.IO.Packaging/PackageTest.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* Test/System.IO.Packaging/FakePackagePartTests.cs:
	* Test/System.IO.Packaging/PackagePartStreamTests.cs:
	* Test/System.IO.Packaging/PackageRelationshipTests.cs: Implement
	parsing of PackageParts and PackageRelationships when loading
	existing packages and write that data when creating a package.

2008-10-29  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs: Write relationships to the zipfile

2008-10-28  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackagePartStreamTests.cs: Disable these
	tests until I can figure out if they're stupid or not.

2008-10-28  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/ZipPartStream.cs:
	* System.IO.Packaging/ZipPackagePart.cs:
	* Test/System.IO.Packaging/PackagePartStreamTests.cs: Implement the
	PartStream logic.

	* Makefile: Need unsafe code to build the zip wrapper. Review this later
	maybe.

	* ZipSharp:
	* ZipSharp/ZipTime.cs:
	* ZipSharp/ZipHandle.cs:
	* ZipSharp/ZipStream.cs:
	* ZipSharp/NativeZip.cs:
	* ZipSharp/ZipArchive.cs:
	* ZipSharp/UnzipHandle.cs:
	* ZipSharp/IOFunctions.cs:
	* ZipSharp/NativeUnzip.cs:
	* WindowsBase.dll.sources:
	* ZipSharp/ZipFileInfo.cs:
	* ZipSharp/UnzipArchive.cs:
	* ZipSharp/UnzipFileInfo.cs:
	* ZipSharp/ZipWriteStream.cs:
	* ZipSharp/UnzipReadStream.cs: Add the minizip binding to SVN.

2008-10-27  Mario Carrion <mcarrion@novell.com>

	* System.Windows/Rect.cs: Operator != and == implementation.
	* Test/System.Windows/RectTest.cs: New test: Equals_Operator.

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackagePartStreamTests.cs: Uncomment the test
	as compiling with mono-head fixes the issue.

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackageTests.cs: Add missing license
	header

	* WindowsBase_test.dll.sources:
	* Test/System.IO.Packaging/PackagePartStreamTests.cs: Added new tests
	for the PackagePart stream code

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackageTests.cs: Make the test cover all
	Relationship based methods

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackageTests.cs: Enable the
	FakePackageTests

	* System.IO.Packaging/Package.cs: Automatically add the relationship
	PackagePart as per unit test.

	* System.IO.Packaging/PackagePart.cs: A part which is a relationship
	should throw when trying to access it's relationships.

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* WindowsBase_test.dll.sources:
	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/PackagePart.cs:
	* Test/System.IO.Packaging/PackageTest.cs:
	* Test/System.IO.Packaging/FakePackagePart.cs:
	* Test/System.IO.Packaging/FakePackagePartTests.cs: Add more tests to
	check the behaviour of PackagePart.GetStream () and also
	PacakageParts which are automatically added.

2008-10-17  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackageTests.cs: Added test to see what
	parts are automatically added/removed

	* Test/System.IO.Packaging/TestBase.cs:
	* Test/System.IO.Packaging/FakeStream.cs:
	* Test/System.IO.Packaging/PackageTest.cs:
	* Test/System.IO.Packaging/FakePackagePart.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* Test/System.IO.Packaging/FakePackagePartTests.cs:
	* Test/System.IO.Packaging/PackageRelationshipTests.cs: fixing
	whitespace

	* Test/System.IO.Packaging/FakePackage.cs: Monitor what parts are
	added/removed from the package.

2008-10-16  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/PackageRelationship.cs: Use automatic properties

2008-10-16  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackage.cs: Updated the implementation so
	it can be used in the NUnit tests

	* System.IO.Packaging/Package.cs: Implemented GetParts and fixed a bug
	with the constructor

	* Test/System.IO.Packaging/PackageTest.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs: Enabled tests which now
	pass

	* System.IO.Packaging/PackagePartCollection.cs: Implement
	PackagePartCollection so that it passes the NUnit tests.

	* Makefile: Need reference to System.Xml

	* System.IO.Packaging/PackagePart.cs: If there's a dupe relationship ID,
	throw an XmlException

	* System.IO.Packaging/ZipPackage.cs: Implemented Dispose/Close and
	partial support for PartStreams

	* Test/System.IO.Packaging/FakePackagePartTests.cs: Added new test for
	Package.GetParts to verify behaviours. Enabled tests which now pass

2008-10-16  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackageRelationshipTests.cs: Enable the
	PackageRelationship tests

	* System.IO.Packaging/Check.cs:
	* System.IO.Packaging/Package.cs: Add additional checks for uris

2008-10-16  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Check.cs:
	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs:
	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/ZipPackagePart.cs:
	* Test/System.IO.Packaging/PackagePartTest.cs:
	* System.IO.Packaging/PackagePartCollection.cs: Began the implementation
	of both PackageRelationship and ZipPackagePart. Enabled tests for
	these classes.

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/FakePackagePartTests.cs: Add NotWorking
	attribute to test.

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/PackagePart.cs:
	* System.IO.Packaging/PackageRelationship.cs:
	* System.IO.Packaging/PackageRelationshipCollection.cs: Began
	implementing the PackageRelationship code

	* System.IO.Packaging/Check.cs: Added check for SourceUri

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Check.cs: Created class for doing argument checks

	* System.IO.Packaging/Package.cs:
	* System.IO.Packaging/ZipPackage.cs: Implemented enough of
	Package/ZipPackage to allow the NUnit tests to function

	* WindowsBase.dll.sources:
	* WindowsBase_test.dll.sources:
	* System.IO.Packaging/PackagePart.cs:
	* Test/System.IO.Packaging/FakePackagePart.cs:
	* Test/System.IO.Packaging/FakePackagePartTests.cs: Began implementing
	the PackagePart class

	* Test/System.IO.Packaging/TestBase.cs:
	* Test/System.IO.Packaging/PackageTest.cs: Added temporary workarounds
	for unimplemented methods in Package

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs: Use the FileInfo object rather than
	calling File.Exists. Comply with coding guidelines better.

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackageTest.cs: Cosmetic fixes and added
	three new tests

	* System.IO.Packaging/Package.cs: If the file already exists, throw an
	exception if it's length is zero.

2008-10-15  Alan McGovern  <amcgovern@novell.com>

	* System.IO.Packaging/Package.cs:
	* System.IO/FileFormatException.cs:
	* Test/System.IO.Packaging/PackageTest.cs: Added more NUnit tests and
	implemented the necessary argument checking to pass these tests.

2008-10-14  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging/PackageTest.cs,
	Test/System.IO.Packaging/PackageRelationshipTests.cs,
	Test/System.IO.Packaging/PackagePartTest.cs,
	Test/System.IO.Packaging/FakePackage.cs,
	Test/System.IO.Packaging/FakeStream.cs,
	Test/System.IO.Packaging/TestBase.cs: Cosmetic changes to follow
	coding guidelines

2008-10-14  Alan McGovern  <amcgovern@novell.com>

	* Test/System.IO.Packaging
	* Test/System.IO.Packaging/PackageTest.cs
	* Test/System.IO.Packaging/PackageRelationshipTests.cs
	* Test/System.IO.Packaging/PackagePartTest.cs
	* Test/System.IO.Packaging/FakePackage.cs
	* Test/System.IO.Packaging/FakeStream.cs
	* Test/System.IO.Packaging/TestBase.cs
	* WindowsBase_test.dll.sources: Implemented some NUnit tests for
	the System.IO.Packaging API.

2007-11-18  Chris Toshok  <toshok@ximian.com>

	* System.Windows/DependencyObjectType.cs: implement such that it
	passes all unit tests.

2007-01-25  Miguel de Icaza  <miguel@novell.com>

	* Assembly/AssemblyInfo.cs: Use the right key to sign things so we
	can test on Windows the resulting nunit tests.

2005-07-24  Iain McCoy  <iain@mccoy.id.au>

	* Test/AttachedProperties.cs: made LocalValueEnumerator test not
	depend on unstable implementation details

2005-07-19  Iain McCoy  <iain@mccoy.id.au>

	* System.Windows/DependencyObject.cs,
	  System.Windows/LocalValueEnumerator.cs: implemented
	GetLocalValueEnumerator() and the LocalValueEnumerator class to
	support it.
	* Test/DependencyObject.cs: added test for LocalValueEnumerator
	

2005-07-06  Iain McCoy  <iain@mccoy.id.au>

	* System.Windows/DependencyObject.cs,
	  System.Windows/DependencyProperty.cs,
	  System.Windows/PropertyMetadata.cs,
	  System.Windows/Callbacks.cs: Added constructors to PropertyMetadata,
	  added support for default values of properties

2005-07-02  Iain McCoy  <iain@mccoy.id.au>

	* whole folder: initial implementation of the DependencyProperty
	system
